Summary information for detections across a time range. Includes total count and counts by buckets.
Fields
| Field | Type | Description |
|---|
total | Int! | The total number of detections within the time range. |
buckets | [DetectionsSummaryBucket!] | A detailed summary of each bucket within the time range.
Summary buckets are only returned if detectionsBucket is provided as a query parameter to detectionsSummary. |
highestTotalBuckets | [DetectionsHighestTotalBucket!]! | The bucket(s) with the greatest total across the parent’s buckets. Empty if no detectionsBucket
was provided. All tied buckets are returned per group. Arguments| Name | Type | Description |
|---|
groupBy | DetectionsSummaryBucketType | Dimensions to keep distinct when finding the max. Must align with the query’s detectionsBucket:
groupBy.fields must be a subset of detectionsBucket.fields, and groupBy.size must equal
detectionsBucket.size if set. If null, returns the single bucket with the greatest total
across all buckets (plus any ties). |
|